Skip to main content
GET
/
v1
/
files
cURL
curl --request GET \
  --url https://api.botpress.cloud/v1/files \
  --header 'Authorization: Bearer <token>' \
  --header 'x-bot-id: <x-bot-id>'
{
  "files": [
    {
      "id": "<string>",
      "botId": "<string>",
      "key": "<string>",
      "url": "<string>",
      "size": 123,
      "contentType": "<string>",
      "tags": {},
      "metadata": {},
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "accessPolicies": [],
      "index": true,
      "owner": {
        "id": "<string>",
        "name": "<string>",
        "alias": "<string>"
      },
      "failedStatusReason": "<string>",
      "expiresAt": "<string>"
    }
  ],
  "meta": {
    "nextToken": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-bot-id
string
required

Bot id

x-integration-id
string

Integration id

x-integration-alias
string

Integration alias

x-integration-name
string

Integration name

x-user-id
string

User Id

x-user-role
string

User Role

Query Parameters

nextToken
string

Provide the meta.nextToken value provided in the last API response to retrieve the next page of results

pageSize
integer

Number of items to return per page (default 20, max 100)

sortField
enum<string>

Sort results by this field

Available options:
key,
size,
createdAt,
updatedAt,
status
sortDirection
enum<string>

Sort results in this direction

Available options:
asc,
desc
ids
string[]

Filter files by IDs.

Maximum array length: 50
indexed
boolean

Filter files by indexing state

Response

Returns the list of files related to the bot.

files
object[]
required
meta
object
required
Last modified on July 3, 2026